import React from 'react';
import { ConnectContextOptions, ConenctContextFactory, KeyValue } from './typings';
declare function connectContext<T = any>(Context: React.Context<T>, Component: React.ComponentType, options?: ConnectContextOptions): React.FunctionComponent;
declare function connectContextFactory<T = any>(Context: React.Context<T>): ConenctContextFactory;
declare function useConnectedContextFactory<T = any>(Context: React.Context<T>): (options?: ConnectContextOptions) => KeyValue;
declare function mergedConnectContextFactory(contexts: React.Context<any>[]): ConenctContextFactory;
export default connectContext;
export { connectContextFactory, useConnectedContextFactory, mergedConnectContextFactory, };
